pop3 server offline ? how to install ?

Discussion in 'Installation/Configuration' started by Macord, Dec 3, 2006.

  1. Macord

    Macord New Member

    Hi my ispconfig services page shows pop3-server as offline, so I tried to install it using http://www.howtoforge.com/perfect_setup_centos_4.4_p5 however Im getting this weird message:

    postconf: /usr/lib/mysql/libmysqlclient.so.14: no version information available (required by postconf)

    Any ideas or help ?

    Thanks in advance
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    ISPConfig and the perfects etup guide does not use a postfix configuration with mysql, so its a bit strange that you get a mysql dependancy error from postconf.
     
  3. Macord

    Macord New Member

    yeah I know, any ways around it ? or how to install this in some other way? I want to get pop3 up running so emails start working :)
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    But postconf is from postfix and not from your pop3 server. Please install the dovecot rpm, there is no further configuartion nescessary for pop3.
     
  5. falko

    falko Super Moderator ISPConfig Developer

  6. Macord

    Macord New Member

    Ok ao I have it setup now and Im able to login from an external software such as outlook, however emails are not being received nor delivered.

    inside the main.cf file of postfix the following are commented out:

    #myhostname = host.domain.tld
    #myhostname = virtual.domain.tld
    #mydomain = domain.tld
    #home_mailbox = Maildir/
    (note that maildir is the directory that ispconfig is suposed to
    create and whatnot as per their forums )

    The rest seems correct as it does point to
    /etc/postfix/local-host-names and /etc/postfix/virtusertable and all
    the correct data for the user emails are in there

    Also while trying to see the version through this command:
    postconf -d | grep mail_version

    gave the following error:
    postconf: /usr/lib/mysql/libmysqlclient.so.14: no version information
    available (required by postconf)

    PLEASE HELP!!!
     
  7. falko

    falko Super Moderator ISPConfig Developer

    Did you mix that tutorial with some kind of virtual users on Postfix setup? In that case I'd recommend a clean reinstall.
     
  8. Macord

    Macord New Member

    No I didnt mix anything of virtual users at least dont think so ... what do you mean a clean reinstall ? of the entire server of postfix?
     
  9. till

    till Super Moderator Staff Member ISPConfig Developer

    A clean reinstall of the server. Was there another controlpanel installed on your server before?
     
  10. 2smooth

    2smooth New Member

    You get this error when you have enabled the centosplus repository.
    You have to exclude postfix from centosplus repository.

    see:
    [CentOS] Postfix: postconf warning on install with yum



    http://wiki.centos.org/Repositories/CentOSPlus





     
    Last edited: Jan 25, 2007

Share This Page